from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTopWindow(XInterface, Protocol):
    def addTopWindowListener(self, xListener: XTopWindowListener) -> None: ...
    def removeTopWindowListener(self, xListener: XTopWindowListener) -> None: ...
    def toFront(self) -> None: ...
    def toBack(self) -> None: ...
    def setMenuBar(self, xMenu: XMenuBar) -> None: ...
